org.apache.tiles.web.jsp.taglib

## Class ImportAttributeTag

- java.lang.Object
- - javax.servlet.jsp.tagext.SimpleTagSupport
  - - org.apache.tiles.web.jsp.taglib.ImportAttributeTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.SimpleTag

      public class ImportAttributeTag
      extends javax.servlet.jsp.tagext.SimpleTagSupport

  Import attribute(s) in specified context.

  Import attribute(s) to requested scope. Attribute name and scope are optional. If not specified, all attributes are imported in page scope. Once imported, an attribute can be used as any other beans from jsp contexts.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportAttributeTag()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doTag()`
    `String` | `getName()` Getter for name property.
    `String` | `getScope()` Getter for scope property.
    `String` | `getToName()` Getter for toName property.
    `boolean` | `isIgnore()` Getter for ignore property.
    `void` | `setIgnore(boolean ignore)` Setter for ignore property.
    `void` | `setName(String name)` Setter for name property.
    `void` | `setScope(String scope)` Setter for scope property.
    `void` | `setToName(String toName)` Setter for toName property.

    - ### Methods inherited from class javax.servlet.jsp.tagext.SimpleTagSupport

      `findAncestorWithClass, getJspBody, getJspContext, getParent, setJspBody, setJspContext, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImportAttributeTag

          public ImportAttributeTag()

  - ### Method Detail

    - #### getName

          public String getName()

      Getter for name property.
      Returns:
        The name of the attribute to import. If it is null, all the attributes will be imported.

    - #### setName

          public void setName(String name)

      Setter for name property.
      Parameters:
        `name` - The name of the attribute to import. If it is null, all the attributes will be imported.

    - #### getScope

          public String getScope()

      Getter for scope property.
      Returns:
        The scope into which the attribute(s) will be imported. If null, the import will go in page scope.

    - #### setScope

          public void setScope(String scope)

      Setter for scope property.
      Parameters:
        `scope` - The scope into which the attribute(s) will be imported. If null, the import will go in page scope.

    - #### getToName

          public String getToName()

      Getter for toName property.
      Returns:
        The name of the attribute into which the attribute will be imported. To be used in conjunction to name. If null, the value of name will be used.

    - #### setToName

          public void setToName(String toName)

      Setter for toName property.
      Parameters:
        `toName` - The name of the attribute into which the attribute will be imported. To be used in conjunction to name. If null, the value of name will be used.

    - #### isIgnore

          public boolean isIgnore()

      Getter for ignore property.
      Returns:
        If true, if the attribute is not present, the problem will be ignored.

    - #### setIgnore

          public void setIgnore(boolean ignore)

      Setter for ignore property.
      Parameters:
        `ignore` - If true, if the attribute is not present, the problem will be ignored.

    - #### doTag

          public void doTag()
                     throws javax.servlet.jsp.JspException,
                            IOException

      Specified by:
        `doTag` in interface `javax.servlet.jsp.tagext.SimpleTag`
      Overrides:
        `doTag` in class `javax.servlet.jsp.tagext.SimpleTagSupport`
      Throws:
        `javax.servlet.jsp.JspException`
        `IOException`

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.